{% extends 'main/base.html' %}
{% load django_bootstrap_breadcrumbs %}
{% block breadcrumbs %}
  {{ block.super }}
  {% breadcrumb "Электронная очередь" "appointment:index" %}
{% endblock %}
{% block title %}Электронная очередь{% endblock %}
{% block content %}
  {% render_breadcrumbs %}
  <section class="container-fluid flex-grow">
    <div class="container">
      {% if perms.appointment.add_appointment %}
        <a href="/admin/appointment/appointment/add/" class="btn btn-warning"
           role="button"><i class="fas fa-users-cog"></i> Добавить</a>
        {#                    <a href="{% url 'appointment:add_appointment' %}" class="btn btn-primary btn-block"#}
        {#                       role="button">Добавить</a>#}
        <hr>
      {% endif %}

      {% if appointments %}
        <div class="list-group">
          {% for appointment in appointments %}
            <a href="/appointments/{{ appointment.pk }}" class="list-group-item list-group-item-action">
              <p>{{ appointment.event.name }}</p>
              <p>{{ appointment.start.day }}.{{ appointment.start.month }} {{ appointment.get_weekday }} {{ appointment.start.time }}</p>
              <h5><span class="badge badge-secondary">
                    Мест осталось: <span class="badge badge-light">{{ appointment.get_left }}</span>
              </span></h5>
            </a>
          {% endfor %}
        </div>
      {% else %}
        <p>Назначенных очередей нет.</p>
      {% endif %}
    </div>
  </section>
{% endblock %}